Exploit-Code für kritische IE-Lücke veröffentlicht

Er ist Bestandteil des Sicherheitstools Metasploit. Hacker können den Beispielcode nun für die Entwicklung von Malware verwenden. McAfee zufolge läuft er unter allen Windows-Versionen von XP bis 7.

Weniger als eine Woche nach Microsofts jüngstem Patchday ist ein Beispiel-Exploit für eine kritische Internet-Explorer-Lücke im Internet aufgetaucht. Er ist einem Bericht des Blogs Contagio zufolge innerhalb des Sicherheitstools Metasploit frei verfügbar.

Im bisher noch nicht aktualisierten Security Bulletin MS12-037 spricht Microsoft immer noch von „begrenzten Angriffen“. Der Softwarekonzern hatte selbst erwartet, dass ein Exploit innerhalb von 30 Tagen zur Verfügung stehen wird.

Die Veröffentlichung bedeutet, dass Cyberkriminelle nun Zugang zu Beispielcode haben und ihn in sogenannte Exploit-Kits einbauen oder für großangelegte Malware-Attacken verwenden können. Die fragliche Anfälligkeit (CVE-2012-1875) beruht auf einem Fehler im Umgang mit gelöschten Objekten. Sie löst einen Speicherfehler aus und ermöglicht es einem Angreifer, Schadcode mit den Rechten des angemeldeten Benutzers auszuführen.

McAfee zufolge ist der Exploit sogar schon seit Anfang Juni im Umlauf. Er funktioniere unter allen unterstützten Windows-Versionen von XP bis 7. Es werde eine als Return Oriented Programming bezeichnete Technik zur Ausnutzung von Schwachstellen verwendet, um Microsofts Sicherheitstechniken DEP und ASLR zu umgehen.

Allerdings funktioniere der Exploit nur im Zusammenhang mit einer alten Version der Java Virtual Machine, die ASLR nicht unterstützt, schreibt Yichong Lin im McAfee-Blog. Ohne Java komme es lediglich zu einem Browserabsturz. Einzig unter Windows XP könne die Lücke auch ohne eine Komponente eines Drittanbieters ausgenutzt werden.

Forscher des Sicherheitsunternehmens AlienVault Labs melden indes die Entdeckung „mehrerer Server, die vergleichbare Versionen des Exploits hosten“. Er liege in verschiedenen Sprachen vor und sei sehr zuverlässig.

Derzeit exisitiert noch eine weitere Lücke im Internet Explorer, die ebenfalls von Hackern missbraucht wird. Für sie gibt es jedoch noch keinen Patch. Nach Angaben von Google wird sie benutzt, um Google-Mail-Konten anzugreifen. Nutzer des Microsoft-Browsers können sich bisher nur mit einem bereitgestellten Fix-it-Tool schützen. Es soll die „bekannten Angriffsmethoden blockieren, bis ein Sicherheitsupdate zur Verfügung steht“.

[mit Material von Ryan Naraine, ZDNet.com]

Tipp: Wie gut kennen Sie sich mit Browsern aus? Testen Sie Ihr Wissen – mit dem Quiz auf silicon.de.

Hinweis: Artikel von ZDNet.de stehen auch in Google Currents zur Verfügung. Jetzt abonnieren.

Themenseiten: Browser, Internet Explorer, Microsoft

Fanden Sie diesen Artikel nützlich?
Content Loading ...
Whitepaper

ZDNet für mobile Geräte
ZDNet-App für Android herunterladen Lesen Sie ZDNet-Artikel in Google Currents ZDNet-App für iOS

Artikel empfehlen:

Neueste Kommentare 

Noch keine Kommentare zu Exploit-Code für kritische IE-Lücke veröffentlicht

Kommentar hinzufügen

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind markiert *